using System;
using NUnitDemo;
using NUnit.Framework;

namespace UnitTests
{
	/// <summary>
	/// Summary description for DVDLibraryTest.
	/// </summary>
	[TestFixture]
	public class Demo_1_Test
	{
		public Demo_1_Test(){}

		[Test]
		public void TestGetDVDCount()
		{
			DVDLibrary library = new DVDLibrary();
			
			// Bo ktphane Testi : 
			Assert.AreEqual(0, library.GetDVDCount());

			// 2 DVD eklenmi ktphane testi : 
			DVD dvd_1 = new DVD("Layer Cake");
			library.AddDVD(dvd_1);
			DVD dvd_2 = new DVD("The Sixth Sense");
			library.AddDVD(dvd_2);

			Assert.AreEqual(2, library.GetDVDCount());
		}
	}
}
