using System;
using System.Collections;

namespace NUnitDemo.Demo_4
{
	/// <summary>
	/// Summary description for DVDLibrary.
	/// </summary>
	public class DVDLibrary
	{
		public DVDLibrary()
		{
			_dvds = new ArrayList();
		}

		#region Private Members
		
		private ArrayList _dvds;
		
		#endregion

		#region Public Methods
		
		public void AddDVD(DVD dvd)
		{
			if (dvd == null)
			{
				throw new ArgumentNullException("Ltfen uygun bir DVD ekleyiniz.");
			}

			_dvds.Add(dvd);
		}

		public int GetDVDCount()
		{
			return this._dvds.Count;
		}
		
		#endregion
	}
}
